# std::shared_mutex::unlock

From cppreference.com
< cpp‎ | thread‎ | shared mutex

void unlock(); |  | (since C++17)

Unlocks the mutex.

The mutex must be locked by the current thread of execution, otherwise, the behavior is undefined.

This operation synchronizes-with (as defined in std::memory_order) any subsequent lock operation that obtains ownership of the same mutex.

### Parameters

(none)

### Return value

(none)

### Exceptions

(none)

### Notes

`unlock()` is usually not called directly: std::unique_lock and std::lock_guard are used to manage exclusive locking.

### Example

| This section is incomplete Reason: no example

### See also

lock | locks the mutex, blocks if the mutex is not available (public member function)
try_lock | tries to lock the mutex, returns if the mutex is not available (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_mutex/unlock&oldid=105507"